Allow using VisualEditor on Special:MassMessage
Open, LowPublic

Description

I would like to be able to use the visual editor in MassMessage, comparable to how it works in Flow where you can easily switch back and forth. It occurs to me that I take the visual editor for granted these days and I miss it when I am composing something in MassMessage.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
StalledNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedNone
OpenNone
OpenNone
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF
ResolvedEsanders
Harej created this task.Jun 24 2016, 11:11 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 24 2016, 11:11 PM
Legoktm renamed this task from Visual editor for MassMessage to Allow using VisualEditor on Special:MassMessage.Jun 24 2016, 11:16 PM

I think we have various different wikitext inputs across MW + extensions and it'd be nicer if we could consider addressing all of them instead of doing everything case-by-case.

Harej added a comment.Jun 25 2016, 1:48 AM

Do we have a task for that? If so this could be a subtask to that, as could T132023.

That's along the same lines of what I was thinking - I am not aware of such a task, but @Jdforrester-WMF would be.
Other examples I have in mind are things like the summary input on Special:Upload.

Well we customise the VE instance for the specific use cases, we can do better than just dropping in a VE widget. In this case we can customise VE to replace the preview entirely.

Jdforrester-WMF triaged this task as Low priority.Aug 5 2016, 9:18 PM